pub struct PtyShellReadResponse {
pub content: String,
pub truncated: bool,
}Expand description
Response from POST /api/v1/ptyshell/read
Fields§
§content: String§truncated: boolTrue if the shell’s output has more lines than tail_lines returned.
Trait Implementations§
Source§impl Clone for PtyShellReadResponse
impl Clone for PtyShellReadResponse
Source§fn clone(&self) -> PtyShellReadResponse
fn clone(&self) -> PtyShellReadResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for PtyShellReadResponse
impl Debug for PtyShellReadResponse
Source§impl<'de> Deserialize<'de> for PtyShellReadResponse
impl<'de> Deserialize<'de> for PtyShellReadResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for PtyShellReadResponse
impl RefUnwindSafe for PtyShellReadResponse
impl Send for PtyShellReadResponse
impl Sync for PtyShellReadResponse
impl Unpin for PtyShellReadResponse
impl UnsafeUnpin for PtyShellReadResponse
impl UnwindSafe for PtyShellReadResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more